using System;

namespace MusicMetaTagger.Core.Utility
{
	public class ScoreContainer<T>
	{
		public T Obj { get; private set; }

		public double Score { get; private set; }

		public ScoreContainer(T obj, double score)
		{
			if (score < 0 || score > 1)
				throw new ArgumentOutOfRangeException("score", score, 
					"Needs to be between 0 and 1");
			Obj = obj;
			Score = score;
		}
	}
}